Get giveaway links
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/giveaway-links/packages/{packageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/giveaway-links/packages/{packageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/giveaway-links/packages/{packageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"packageId": "gpg_EdJvIXu3SEiXe_QkPavHSA",
"giveawayLinks": [
{
"status": "<string>",
"id": "gft_EdJvIXu3SEiXe_QkPavHSA",
"link": "https://fourthwall.com/gifts/gft_EdJvIXu3SEiXe_QkPavHSA",
"productId": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"createdAt": "2020-08-13T09:05:36.939Z"
}
]
}{
"code": "SHOP_TEAM_MEMBER_SHOP_NOT_FOUND_ERROR",
"shopId": "<shopid>"
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Giveaway Links
Get Giveaway Package
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns all giveaway links for packageId
GET
/
open-api
/
v1.0
/
giveaway-links
/
packages
/
{packageId}
Get giveaway links
OAuth scope:
giveaway_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
⌘I